Shorten a link
Creates a shortened link for the given URL.
Rate Limit: 600 requests per minute.
Authorization<token>Format: Authorization: Token {api_key}
URL to your dynalink which should be shortened
application/json- body
url*stringURL to shorten
prefix?stringPrefix for the shortened link. Your link will be shortened to {prefix}{randomCharacters}. Rarely used.
Created
application/json- response
id?stringUUID of the link
uuidname?stringpath?stringurl?stringsocial_description?stringsocial_image_url?stringsocial_title?stringshortened_path?stringandroid_fallback_url?stringios_fallback_url?stringenable_forced_redirect?booleanreferrer?stringios_deferred_deep_linking_enabled?booleanprovider_token?stringcampaign_token?stringandroid_app_id?stringios_app_id?stringclicks?integerNumber of clicks/views for this link
curl -X POST 'https://dynalinks.app/api/v1/short_links' \ -H 'Content-Type: application/json' \ -d '{ "url": "https://yourproject.dynalinks.app/someLongPath"}'{ "id": 1, "name": "Example Link", "shortened_path": "a4b2c"}Generate QR code for a link GET
Generates a QR code for the specified link. The QR code encodes the full URL of the link. **Note**: This feature is available for PRO projects only.
Resolve a short link to full path POST
Resolve a short link to full path. It's meant to be used on client side. API key is not required. You can use `path` from the response to read parameters from the path in your iOS or Android apps and redirect your users to a specific screen.